## org.eclipse.emf.cdo.spi.server
Class RepositoryFactory

    java.lang.Object
      org.eclipse.emf.cdo.spi.server.RepositoryFactory

All Implemented Interfaces:
  IRepositoryFactory

    public class RepositoryFactory

extends java.lang.Object
implements IRepositoryFactory

Since:
  2.0

Field Summary
`static java.lang.String` `TYPE`

Fields inherited from interface org.eclipse.emf.cdo.server.IRepositoryFactory
`PRODUCT_GROUP`

Constructor Summary
`RepositoryFactory()`

Method Summary
`IRepository` `createRepository()`
`static IRepository` `get(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String name)`
`java.lang.String` `getRepositoryType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Constructor Detail

### RepositoryFactory

    public RepositoryFactory()

Method Detail

### getRepositoryType

    public java.lang.String getRepositoryType()

  Specified by:
    `getRepositoryType` in interface `IRepositoryFactory`

### createRepository

    public IRepository createRepository()

  Specified by:
    `createRepository` in interface `IRepositoryFactory`

### get

    public static IRepository get(org.eclipse.net4j.util.container.IManagedContainer container,
                                  java.lang.String name)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.